---
title: Roadmap for learning backstage
---

This page provides a roadmap for learning and working effectively with Backstage, an open-source developer portal platform created at Spotify. The roadmap is divided into stages to help you progress from fundamental concepts to advanced usage and customization.

## 1. Foundational Knowledge

### 1.1 Developer Portals and Platform Engineering

- [Internal Developer Portal explained](https://medium.com/@rphilogene/what-is-an-internal-developer-portal-6bcbe2481300)

- [Link zu internem Artikel zu Developer Portals](/docs/technical-documentation/project/conceptual-onboarding/3_platforming/_index.md)

### 1.2 Backstage Overview

- Read through the [Backstage Overview](https://backstage.io/docs/overview/what-is-backstage) pages of the official documentation
- a [Backstage Demo](https://www.youtube.com/watch?v=1XtJ5FAOjPk) from Spotify

### 1.3 Prerequisites and Environment Setup

- [backstage-setup-tutorial](/docs/technical-documentation/solution/tools/Backstage/backstage-setup-tutorial/_index.md#prerequisites)

## 2. Getting Started with Backstage

### 2.1 Create a Backstage App

- [Create an app](/docs/technical-documentation/solution/tools/Backstage/backstage-setup-tutorial/_index.md#setting-up-backstage)

### 2.2 Run Your First Backstage Instance

- [Run the app](/docs/technical-documentation/solution/tools/Backstage/backstage-setup-tutorial/_index.md#run-the-backstage-application)

### 2.3 Key concepts

- [Software Catalog](https://backstage.io/docs/features/software-catalog/): Learn about entities, YAML configuration, how to register components.
- [Plugins](https://backstage.io/docs/plugins/): Understand how plugins are structured (frontend/backstage/plugins/*) and how they integrate with the rest of the system.
- [Software Templates](https://backstage.io/docs/features/software-templates/): Explore templates to spin up new projects or resources quickly.
- [TechDocs](https://backstage.io/docs/features/techdocs/): Understand how documentation is generated and displayed in Backstage.

## 3. Configuring and Extending Backstage

### 3.1 Catalog Configuration

### 3.2 Plugin Fundamentals

### 3.3 Authentication & Authorization

### 3.4 UI/UX Customization

## 4. Working with the Ecosystem

### 4.1 Advanced Plugins & Integrations

### 4.2 Scaffolder templates

### 4.3 APIs and External Systems
